from datetime import datetime

from .sign_in import SignIn


class SignInManager:
    solver_name = "签到管理器"
    scheduler_stop_time = None

    def run(self) -> bool:
        result = True
        if datetime.now() < datetime(2024, 11, 24):
            solver_list = [SignIn()]
            for solver in solver_list:
                solver.scheduler_stop_time = self.scheduler_stop_time
                result = result and solver.run()
        return result
